[API]
RtlMoveMemory

[INCLUDE]
MySQL_Select
PeekS_Ansi

[CODE]
Public Function MySQL_Select_GetFieldName(ByVal hQRManual As Long, ByVal IndexID As Long) As String
  Dim xLong1 As Long
  Dim xType1 As MySQL_QueryInfo
  Dim xType2 As MySQL_Field
  Dim xLongA1() As Long

  Call RtlMoveMemory(xType1, ByVal hQRManual, MySQL_QueryInfoLen)
  ReDim xLongA1(IndexID * 4&)
  Call RtlMoveMemory(xLongA1(0), xType1.hEnum, 4& * (IndexID + 1))
  Call RtlMoveMemory(xType2, ByVal xLongA1(IndexID), 80&)
  MySQL_Select_GetFieldName = PeekS_Ansi(xType2.ptrstr_Name)
  End Function